Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023545
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-04-15 10:462013-04-23 15:36
ReportershankarbView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0MP23
StatusclosedFix in branchpiFixed in SCM revisionb96b3181a12a
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023545: Window field filters are not translated in Menu

DescriptionIn the Menu window, the filters of the field 'Window' is not translated.
Steps To Reproduce1. Login as System Adminstrator with language Spanish (or any translation).
2. Navigate to Menu Window.
3. Click on the Window field's filter.
4. Notice that the names are not translated.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00228363.0MP21 closedshankarb In grid view, unit of measure filter is not translated when the translation pack is installed 
related to defect 00248043.0MP28 closedshankarb Filters are not working properly for translated fields 

-  Notes
(0057888)
alostale (developer)
2013-04-15 12:01

Working as expected:

In this case translation shouldn't be applied in the main window as here, the record is in the original language, it is in the trl subtab where translated entries are present.
(0057889)
shankarb (developer)
2013-04-15 12:18

The translation subtab of Menu provides the translation of the menu names alone. But the values of the field 'Window','Process' is translated in the parent tab. In the parent tab, the filters of the field 'Window','Process' is not translated.
(0057891)
shankarb (developer)
2013-04-15 13:22

Issue ready to be scheduled
(0057892)
hgbot (developer)
2013-04-15 13:30

Repository: erp/devel/pi
Changeset: b96b3181a12ae1b6f250c5d3f9363794a2295cc7
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Apr 15 16:58:55 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b96b3181a12ae1b6f250c5d3f9363794a2295cc7 [^]

Fixes Issue 0023545: Window field filters are not translated in Menu

Resolves translation of the all fields in the filter.

---
M src/org/openbravo/base/structure/BaseOBObject.java
---
(0057973)
hudsonbot (developer)
2013-04-16 19:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8df08bea850d [^]

Maturity status: Test
(0058132)
AugustoMauch (developer)
2013-04-23 15:36

Code reviewed and verified in pi@c0c3d4e9feab

- Issue History
Date Modified Username Field Change
2013-04-15 10:46 shankarb New Issue
2013-04-15 10:46 shankarb Assigned To => shankarb
2013-04-15 10:46 shankarb Web browser => Google Chrome
2013-04-15 10:46 shankarb Modules => Core
2013-04-15 10:46 shankarb Triggers an Emergency Pack => No
2013-04-15 10:48 shankarb Relationship added related to 0022836
2013-04-15 12:01 alostale Note Added: 0057888
2013-04-15 12:01 alostale Status new => closed
2013-04-15 12:01 alostale Resolution open => no change required
2013-04-15 12:18 shankarb Note Added: 0057889
2013-04-15 12:18 shankarb Status closed => new
2013-04-15 12:18 shankarb Resolution no change required => open
2013-04-15 13:22 shankarb Review Assigned To => AugustoMauch
2013-04-15 13:22 shankarb Web browser Google Chrome => Google Chrome
2013-04-15 13:22 shankarb Issue Monitored: AugustoMauch
2013-04-15 13:22 shankarb Status new => scheduled
2013-04-15 13:22 shankarb Note Added: 0057891
2013-04-15 13:22 shankarb fix_in_branch => pi
2013-04-15 13:30 hgbot Checkin
2013-04-15 13:30 hgbot Note Added: 0057892
2013-04-15 13:30 hgbot Status scheduled => resolved
2013-04-15 13:30 hgbot Resolution open => fixed
2013-04-15 13:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b96b3181a12ae1b6f250c5d3f9363794a2295cc7 [^]
2013-04-16 19:18 hudsonbot Checkin
2013-04-16 19:18 hudsonbot Note Added: 0057973
2013-04-23 15:36 AugustoMauch Note Added: 0058132
2013-04-23 15:36 AugustoMauch Status resolved => closed
2013-04-23 15:36 AugustoMauch Fixed in Version => 3.0MP23
2013-09-20 09:56 caristu Relationship added related to 0024804


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker